Function
move
Hands over content from one container to another container.
move(target, source)
Include Headers
seqan/basic.h
Parameters

source | A container that is moved to target. Types: Seed
target | A container source is moved to. Types: char array, Seed

Remarks
The function tries to hand over the contents of source to target. If this is possible, source loses its content and will therefore be empty after this operation. Otherwise, the function behaves like assign and source is copied to target.
Member of
char array, Seed
See Also
swap, moveValue, assign, Move Switch, moveHost
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58